We need help testing v3.17

We need help testing v3.17
0.0 0


We need help testing the v3 branch in GitHub

Specifically we need help with:

  • compiling with clang+libc++
  • proj.android-studio is now the default proj.android
  • 3rd party libraries, all 3rd party libraries have been updated.
  • using NDK r16

Please report any feedback in this topic.



So using the last Commit is OK ?


Yes, it is.


Something wrong with spine animation (same bug on android)

$ cocos -v
Cocos Console 2.3

$ git log -1
commit 48c55e58912339f65c0f61d3e7e77694db075541 (HEAD -> v3, origin/v3, origin/HEAD)
Author: CocosRobot redmine@cocos2d-x.org
Date: Wed Dec 20 10:18:55 2017 +0800

[ci skip][AUTO]: updating luabinding & jsbinding & cocos_file.json automatically (#18573)


Thanks for feedback, we will take a look.


confirm this issue Heap buffer overflow


I have committed a PR to fix this, and have tested on macOS and Android. @formatCvt


@drelaptop this PR fix this on linux too, thanks

  1. What is status of cocos gen-libs? Does it work for android? Can I test it?
  2. Could you estimate release date?


@slackmoehrle could you change NDK to latest ndk r16b (instead of ndk r16+)


By the way are you sure that 3rdparty android libs compiled with ndk r16 will work fine with latest ndk r16b? From my past experience there were very often problems with ndk. @zhangxm , @mozartalouis


The ndk16b doesn’t have any significant changes that I see would make it brake it’s current compatibility.

I think the Coco’s team should only worry about updating the ndk version when a major release comes out (Ex. 17, 18, etc.) Since updating Everytime will just add to their queue of work.

I’ve tested on a fresh branch and 16b works fine.

@zhangxm has already committed the updates libs that are compiled with c++_static.


I would propose to then use for testing ndk r16b (and do not write here and in cocos2d-x.3.17 release notes ndk-r16)


We doing this update because:

  • gnu_c++ is deprecated in NDK r16 any will be deleted in r18(if i remember correctly)
  • gcc will be removed too
  • NDK uses unified header files in NDK r16

So we should change to use clang+libc++. We will focus on a specific NDK version when releasing cocos2d-x, and we will mention it on release note when releasing.


+1. @zhangxm ?


Should I test the gradle build and fix most of the LINT messages?

The main problem is, that in a quick check it was not possible to gradlew build because of two errors within the lastest github v3 commit (with a new created project). One was a corrupt proguard file and the other was a wrong order in the AndroidManifest file.

I could test it on 28. december, if this is a wish or someone (e.g. @mozartalouis) else will do it.


@KAMIKAZE Yep, it should work as i fixed cocos gen-libs for Android too.
@mars3142 sorry, i can not catch your issue. Could you please describe it in more detail? Thanks.


Okay. So what command I should use this build prebuilt for v7 and x86 with all latest updates for android(everything in android studio) ?


Yep, exactly.